Bug 704775 - gedit always crashes when opened
gedit always crashes when opened
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
15
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-14 16:53 EDT by Volans
Modified: 2011-05-25 20:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-25 20:01:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Volans 2011-05-14 16:53:52 EDT
Description of problem:

Gedit always crashes when opened

Version-Release number of selected component (if applicable):

I can't open it and see the version. But it's the latest in Fedora 15 beta

How reproducible:

Just click on the program icon

Steps to Reproduce:
1. Run it
2.
3.
  
Actual results:

The program doesn't even show the window. It crashes

Expected results:


Additional info:

Wish I could give more.
Comment 1 Elad Alfassa 2011-05-15 04:40:04 EDT
Please run gedit in a terminal (eg. gnome-terminal) and attach the output.
Also if you have ABRT installed, you could use it to report the crash, it'll help you generate a proper backtrace. 



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Volans 2011-05-15 16:30:08 EDT
Hello,

I did what you asked, here is the result. Unfortunately, I ABRT isn't working correctly also, so I can't send any error report. Tell me how to manually get the core dump and I'll see what I can do.

Here is the text shown in the console:

[Volans@localhost ~]$ gedit

(gedit:1852): GLib-GObject-WARNING **: specified class size for type `PeasExtensionC' is smaller than the parent type's `PeasExtension' class size

(gedit:1852): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(gedit:1852): GLib-GObject-CRITICAL **: g_type_register_static: assertion `parent_type > 0' failed

(gedit:1852): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(gedit:1852): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
Segmentation fault (core dumped)
Comment 3 Volans 2011-05-25 20:01:07 EDT
Installed Fedora 15 Final and gedit is working again. So this big is solved.

Note You need to log in before you can comment on or make changes to this bug.